<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number75</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.75:</b> Write a JavaScript program to reverse the elements of a given array of integers length 3 or more </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
		<input type="number" id="num1" placeholder="Numbers of Array1 elements!" style="width: 200px; margin-top: 5px;"><br>
		<input type="number" id="num2" placeholder="Numbers of Array2 elements!" style="width: 200px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	  function generate() {
		  var num1 = + document.getElementById('num1').value;
		  var num2 = + document.getElementById('num2').value;
		  var arr1 = [] ;
		  var arr2 = [] ;
		  if (num1>0 && num2>0 && num1%2==1 && num2%2==1){
			  for(i=0 ; i<num1 ; i++){
				  arr1.push(prompt("Enter Array Number1 Elements #" + (i+1)));
				  arr1.map(Number);
			  }
			  for(i=0 ; i<num2 ; i++) {
				  arr2.push(prompt("Enter Array Number2 Elements #" + (i+1)));
				  arr2.map(Number);
			  }
			  document.getElementById('demo').innerHTML=
				  "Array Number1 is: [ " + arr1.join(", ") + " ] <br>" +
				  "Array Number2 is: [ " + arr2.join(", ") + " ] <br>" +
				  "New Array With Mid. Elements" + "[ " + arr1[Math.ceil((arr1.length-1)/2)] +", " + arr2[Math.ceil((arr2.length-1)/2)] + " ]";
		  } else{
			  document.getElementById('demo').innerHTML=
				  "Array elements must be Odd and in Positive Numbers"
		  }
	  }
	
	</script>
</body>
</html>
